Get User Details

View as Markdown

The Get User Details is an authenticated API call that allows you to fetch the user details of the authenticated user.

Headers

authorizationstringRequiredDefaults to YOUR_USER_AUTH_TOKEN

Authorization token is the accessToken received from the API - api/v2/auth/verify

x-user-identifierstringOptionalDefaults to USER_EMAIL_ID

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptionalDefaults to YOUR_ACCESS_TOKEN

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

apiKeystringRequiredDefaults to YOUR_API _KEY
Your API Key from Transak Dashboard

Response

200 - Success New User

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error